/* $Id: ChangeTextTypeAction.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.menu.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import smart_gs.image_search.logical.TextType;


public class ChangeTextTypeAction implements ActionListener {
	private int type;
	public ChangeTextTypeAction(int type){
		this.type = type;
		if(this.type != TextType.HORIZONTAL && this.type !=TextType.VERTICAL){
			this.type = TextType.HORIZONTAL;
		}
	}
	
	public void actionPerformed(ActionEvent e){
		TextType.setTextType(this.type);
	}

}
